# This profile file controls your <#> (HashDist) build environment.

# In the future, we'll provide better incorporation of
# automatic environment detection.  For now, have a look
# at the YAML files in the top-level directory and choose
# the most *specific* file that matches your environment.

extends:
- file: linux.yaml

parameters:
  HOST_MPICC: /usr/mpi/gcc/openmpi-1.6.4/bin/mpicc
  HOST_MPICXX: /usr/mpi/gcc/openmpi-1.6.4/bin/mpic++
  HOST_MPIF77: /usr/mpi/gcc/openmpi-1.6.4/bin/mpif77
  HOST_MPIF90: /usr/mpi/gcc/openmpi-1.6.4/bin/mpif90
  HOST_MPIEXEC: /usr/mpi/gcc/openmpi-1.6.4/bin/mpiexec
  HOST_CMAKE: /usr/cmake-2.8.11.2/bin/cmake
  PETSC_ARCH: linux-gnu-cxx-opt
  PROLOGUE: |
    source /usr/share/Modules/init/bash; export MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles; echo "loading moduless"; module load gcc-4.9.0; module load mpi/gcc/openmpi-1.6.4; module load cmake-2.8.11.2; echo "setting default compilerss"; export CC=gcc; export FC=gfortran; export F77=gfortran;

# The packages list specifies all the packages that you
# require installed.  <#> will ensure that all packages
# and their dependencies are installed when you build this
# profile.

packages:
  launcher:
  cmake:
    use: host-cmake
  python:
    host: false
    build_with: |
      openssl, bzip2, sqlite
    link: shared
  mpi:
    use: host-mpi
  blas:
    use: openblas
  petsc:
    build_with: |
      parmetis, openblas, scotch, suitesparse
    download: |
      superlu, superlu_dist, hypre, scalapack, blacs, mumps
    coptflags: -O2
    link: shared
    debug: false
  boost:
    toolset: gcc
    address_model: 64
  swig:
  pkg-config:
  ipython:
  fiat:
  ufl:
  ffc:
  instant:
  dolfin:
    build_with: |
      openblas, suitesparse, scotch, parmetis, petsc, petsc4py, slepc, zlib, hdf5, bzip2
